Bug 170193 - [patch] [update] update net-p2p/transmission* & www/transmission-web to 2.61
[patch] [update] update net-p2p/transmission* & www/transmission-web to 2.61
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 13:40 UTC by vsjcfm
Modified: 2012-08-10 15:20 UTC (History)
0 users

See Also:


Attachments
patch-Makefile (249 bytes, text/plain)
2012-07-26 13:40 UTC, vsjcfm
no flags Details
patch-daemon-Makefile (287 bytes, text/plain)
2012-07-26 13:40 UTC, vsjcfm
no flags Details
patch-web-Makefile (269 bytes, text/plain)
2012-07-26 13:40 UTC, vsjcfm
no flags Details
file.diff (550 bytes, patch)
2012-07-26 13:40 UTC, vsjcfm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vsjcfm 2012-07-26 13:40:10 UTC
There is a new version of Transmission.

Fix: --- Makefile.orig	2012-07-26 15:13:27.000000000 +0300
+++ Makefile	2012-07-26 15:20:42.000000000 +0300
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	transmission
-PORTVERSION=	2.51
-PORTREVISION?=	1
+PORTVERSION=	2.61
 CATEGORIES?=	net-p2p
 #MASTER_SITES=	http://download.m0k.org/${PORTNAME}/files/ \
 MASTER_SITES=	http://transmission.cachefly.net/
--- patch-cli-Makefile ends here ---

--- Makefile.orig	2012-07-26 15:17:23.000000000 +0300
+++ Makefile	2012-07-26 15:17:26.000000000 +0300
@@ -5,7 +5,6 @@
 # $FreeBSD: head/net-p2p/transmission-qt4/Makefile 300897 2012-07-14 14:29:18Z beat $
 #
 
-PORTREVISION=	1
 PKGNAMESUFFIX=	-qt4
 
 MAINTAINER=	crees@FreeBSD.org
--- patch-qt4-Makefile ends here ---
How-To-Repeat: Patch attached. Note that uTP patch file must be deleted from transmission-cli/files
Comment 1 Edwin Groothuis freebsd_committer 2012-07-26 13:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2012-08-10 12:11:17 UTC
State Changed
From-To: open->analyzed

Taken for Tinderbox run 
http://www.bayofrum.net/tb/index.php?action=list_tinderd_queue
Comment 3 dfilter freebsd_committer 2012-08-10 15:15:47 UTC
Author: crees
Date: Fri Aug 10 14:15:36 2012
New Revision: 302388
URL: http://svn.freebsd.org/changeset/ports/302388

Log:
  Update to 2.61
  
  PR:		ports/170193
  Submitted by:	Sayetsky Anton <vsjcfm@gmail.com>

Deleted:
  head/net-p2p/transmission-cli/files/patch-third-party_libutp_utp.cpp
Modified:
  head/net-p2p/transmission-cli/Makefile
  head/net-p2p/transmission-cli/distinfo
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/transmission/Makefile

Modified: head/net-p2p/transmission-cli/Makefile
==============================================================================
--- head/net-p2p/transmission-cli/Makefile	Fri Aug 10 12:30:51 2012	(r302387)
+++ head/net-p2p/transmission-cli/Makefile	Fri Aug 10 14:15:36 2012	(r302388)
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	transmission
-PORTVERSION=	2.51
-PORTREVISION?=	1
+PORTVERSION=	2.61
+PORTREVISION?=	0
 CATEGORIES?=	net-p2p
-#MASTER_SITES=	http://download.m0k.org/${PORTNAME}/files/ \
+#MASTER_SITES=	http://download.m0k.org/${PORTNAME}/files/
 MASTER_SITES=	http://transmission.cachefly.net/
 PKGNAMESUFFIX?=	-cli
 

Modified: head/net-p2p/transmission-cli/distinfo
==============================================================================
--- head/net-p2p/transmission-cli/distinfo	Fri Aug 10 12:30:51 2012	(r302387)
+++ head/net-p2p/transmission-cli/distinfo	Fri Aug 10 14:15:36 2012	(r302388)
@@ -1,2 +1,2 @@
-SHA256 (transmission-2.51.tar.xz) = 1c9a54864acf8fd0c7aa4132e9e69b454a7c72c305c96016a38551157af8858b
-SIZE (transmission-2.51.tar.xz) = 2784036
+SHA256 (transmission-2.61.tar.xz) = 1c4ccbf5d7dc7bb9615005f9db7bb0612c95ac908c6cf5d519e6f0126588765c
+SIZE (transmission-2.61.tar.xz) = 2876648

Modified: head/net-p2p/transmission-qt4/Makefile
==============================================================================
--- head/net-p2p/transmission-qt4/Makefile	Fri Aug 10 12:30:51 2012	(r302387)
+++ head/net-p2p/transmission-qt4/Makefile	Fri Aug 10 14:15:36 2012	(r302388)
@@ -5,7 +5,7 @@
 # $FreeBSD$
 #
 
-PORTREVISION=	1
+PORTREVISION=	0
 PKGNAMESUFFIX=	-qt4
 
 MAINTAINER=	crees@FreeBSD.org

Modified: head/net-p2p/transmission/Makefile
==============================================================================
--- head/net-p2p/transmission/Makefile	Fri Aug 10 12:30:51 2012	(r302387)
+++ head/net-p2p/transmission/Makefile	Fri Aug 10 14:15:36 2012	(r302388)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	transmission
-PORTVERSION=	2.51
+PORTVERSION=	2.61
 CATEGORIES=	net-p2p
 MASTER_SITES=	# empty
 DISTFILES=	# empty
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2012-08-10 15:15:56 UTC
State Changed
From-To: analyzed->closed

Committed.  Thanks, and sorry for the delay-- I was on vacation.